.container{
    padding: 10px 0 30px;
    width: 100%;
    max-width: 1380px;
    margin: 0 auto;
    display: grid;
    color: #000000;
    background-color: white;
}

.border{
    border: 1px solid black;
}

.border--blue
{
    border-color: blue;
}

.border--red
{
    border-color: red;
}


.main-part, .footer{
    display: grid;
    grid-template-columns: 1fr 546px  370px;
}


.content-block{
    box-sizing: border-box;
    padding: 15px;
}


.main-part-middle-content, .main-part-right-content, .footer-middle-content, .footer-right-content{
    display: flex;
    flex-wrap: wrap;

}



.content-block--2{
    width: 322px
}

.content-block--3{
    width: 222px;
}

.content-block--4{
    width: 155px;
}

.content-block--5{
    width: 213px;
}



@media screen and (min-width:320px) and (max-width: 1024px){
    .main-part, .footer{
        grid-template-columns: 1fr 324px  215px;
    }

    .content-block--2, .content-block--3, .content-block--4, .content-block--5{
        width: 100%;
    }


    .main-part-right-content, .footer-right-content{
        flex-direction: column;
    }


    .main-part-right-content__top, .footer-right-content__top {
        flex-grow: 1;
    }

}


